Skip to main content
POST
Update A Bank Statement

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

bank_statement_id
string
required

Body

application/json
account
string

The BankAccount identifier, (e.g. bnka_abc123).

Response

Successful response

object
string
required
id
string
Maximum string length: 32
account_id
string | null
Maximum string length: 32
agent_confidence_reason
string | null

The justification for the agent's confidence score.

agent_confidence_score
integer | null

The confidence score of the result on a scale of 0-100, where 0 indicates no confidence in the accuracy of the result and 100 indicates full confidence in the accuracy of the result.

agent_error_code
string | null

The code for why an error occurred when processing the statement.

agent_uncertainties
string[]

A list of uncertainties we have regarding the result.

approver_id
string | null
Maximum string length: 32
attachment
object
created_at
string<date-time>
modified_at
string<date-time> | null
parsed_transaction_data
unknown
period_end
string<date> | null

The statement period's end date.

period_start
string<date> | null

The statement period's start date.

status
enum<string>

The status of this upload.

Available options:
submitted,
processing,
invalid,
pending_approval,
approved
Maximum string length: 16
transactions
object[]